{
  "name": "accounts",
  "version": "0.1.0",
  "description": "Boilerplate code for developing Medulla service components",
  "main": "./bin/index.js",
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/openfintechlab/medulla/applications/service-boilerplate-api.git"
  },
  "engines": {
    "node": ">=12.0.0"
  },
  "scripts": {
    "test": "jest --no-cache --collectCoverage=true",
    "lint": "eslint \"src/**/*.ts\"",
    "start": "tsc && node ./bin/index.js",
    "set-env": "export OFL_MED_CONTEXT_ROOT='/test/' && export OFL_MED_PORT=3000 && export NODE_ENV='development'",
    "recycle-bin": "rm -fr ./bin/index.js",
    "rebuilt-start": "yarn recycle-bin && yarn start-dev",
    "build": "rm -fr ./bin/* && tsc",
    "lint:types": "yarn tsc --noEmit -p .",
    "dev": "yarn build && export OFL_MED_NODE_ENV='debug' && export OFL_MED_SRVCONFIG_URI='http://localhost:32006/configmanager/config/' && node ./bin/index.js",
    "dev-mon": "yarn build && export OFL_MED_NODE_ENV='debug' && export OFL_MED_SRVCONFIG_URI='http://localhost:32006/configmanager/config/' && nodemon ./bin/index.js",
    "snyk-protect": "snyk protect",
    "prepare": "yarn run snyk-protect"
  },
  "keywords": [
    "openfintechlab",
    "boilerplate",
    "express",
    "node",
    "medulla"
  ],
  "author": "Muhammad Furqan <furqan.baqai@openfintechlab.com>",
  "license": "EPL-2.0",
  "bugs": {
    "url": "https://gitlab.com/openfintechlab/medulla/applications/service-boilerplate-api/issues"
  },
  "homepage": "https://gitlab.com/openfintechlab/medulla/applications/service-boilerplate-api#readme",
  "dependencies": {
    "axios": "^0.19.2",
    "chalk": "^4.0.0",
    "dotenv": "^8.2.0",
    "express": "^4.17.1",
    "helmet": "^3.22.0",
    "log4js": "^6.3.0",
    "lodash": "^4.17.19",
    "morgan": "^1.10.0",
    "snyk": "^1.362.1"
  },
  "devDependencies": {
    "@types/dotenv": "^8.2.0",
    "@types/morgan": "^1.9.0",
    "@types/chalk": "^2.2.0",
    "@types/express": "^4.17.6",
    "@types/helmet": "^0.0.47",
    "@types/jest": "^25.2.3",
    "@types/log4js": "^2.3.5",
    "@types/node": "^14.0.5",
    "@types/lodash": "^4.14.157",
    "@typescript-eslint/eslint-plugin": "^3.1.0",
    "@typescript-eslint/parser": "^3.1.0",
    "eslint": "^7.1.0",
    "jest": "^26.0.1",
    "nodemon": "^2.0.4",
    "ts-jest": "^26.1.0",
    "typescript": "^3.9.3"
  },
  "snyk": true
}
